## org.eclipse.datatools.sqltools.debugger.debug
Class BreakpointLocationVerifierJob

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.debugger.debug.BreakpointLocationVerifierJob

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

    public class BreakpointLocationVerifierJob

extends org.eclipse.core.runtime.jobs.Job

Job used to verify the position of a breakpoint

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`BreakpointLocationVerifierJob(org.eclipse.datatools.sqltools.core.ProcIdentifier proc, SPLineBreakpoint[] bps, org.eclipse.ui.texteditor.IEditorStatusLine line)`
`BreakpointLocationVerifierJob(SPLineBreakpoint breakpoint, org.eclipse.ui.texteditor.IEditorStatusLine statusLine)`

Method Summary
`static org.eclipse.core.runtime.IStatus` `findMostSevere(java.util.List statuses)` Selects status with highest severity out of several supplied in a parameter.
`org.eclipse.core.runtime.IStatus` `run(org.eclipse.core.runtime.IProgressMonitor monitor)`
`org.eclipse.core.runtime.IStatus` `runOne(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.datatools.sqltools.core.ProcIdentifier proc, SPLineBreakpoint bp, int originLine, int valieLine)`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### BreakpointLocationVerifierJob

    public BreakpointLocationVerifierJob(SPLineBreakpoint breakpoint,
                                         org.eclipse.ui.texteditor.IEditorStatusLine statusLine)
                                  throws org.eclipse.core.runtime.CoreException

Parameters:
  `document` -
  `breakpoint` -
  `proc` - can't be null
  `lineNumber` -
  `statusLine` -
Throws:
  `org.eclipse.core.runtime.CoreException`

### BreakpointLocationVerifierJob

    public BreakpointLocationVerifierJob(org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                         SPLineBreakpoint[] bps,
                                         org.eclipse.ui.texteditor.IEditorStatusLine line)

Parameters:
  `bps` -
  `proc` -
  `line` -

Method Detail

### findMostSevere

    public static org.eclipse.core.runtime.IStatus findMostSevere(java.util.List statuses)

  Selects status with highest severity out of several supplied in a parameter.

  Parameters:
    `status` - Status messages.
  Returns:
    Status with highest severity

### run

    public org.eclipse.core.runtime.IStatus run(org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `run` in class `org.eclipse.core.runtime.jobs.Job`

### runOne

    public org.eclipse.core.runtime.IStatus runOne(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                   org.eclipse.datatools.sqltools.core.ProcIdentifier proc,
                                                   SPLineBreakpoint bp,
                                                   int originLine,
                                                   int valieLine)